[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# user_cap_data

Capability description record

## Declaration

Source position: linux.pp line 297

`type user_cap_data = record`
`effective: cuint32;` |  | Capabilities effectively used by the kernel
`permitted: cuint32;` |  | Limiting set of capabilities
`inheritable: cuint32;` |  | Capabilities that will be inherited across exec calls.
`end;`

## Description

user_cap_data describes the set of capabilities for the indicated thread.

## See also

user_cap_header |  | Root user capabilities header
capget |  | Return the capabilities for the indicated thread
capset |  | Set the capabilities for the indicated thread